Cemu - Bug #246

Cemu can't apply update with the updater if the executable is renamed
01/04/2020 06:37 PM - Crementif

Status: Resolved Start date: 01/04/2020
Priority: Normal

Assignee:

Category: ul

API: GPU Vendor/Model:  N/A

Cemu Version: N/A

Description

JasKambo#1502 reported an issue where the updater would get stuck when it started to apply the update. Helped him via DMs and
the issue was fixed when he renamed his Cemu executable back to Cemu.exe. Some other members also reported it getting stuck at
a similar point.

| could reproduce the issue with Cemu 1.15.18 (Patreon version), Cemu 1.16.0 (Public version) and Cemu 1.16.1 (Patreon version).

The steps to reproduce it is just downloading an older Cemu version and renaming your Cemu.exe to something else and then
manually check for updates. The log will have this specific error:

[18:30:03] update error: Error: The system cannot find the file specified.

rename (pl, p2): invalid arguments: operation not permitted

The expected behavior is that it should delete the renamed executable (and optionally keep the same name).

History

#1 - 01/15/2020 11:43 AM - Petergov

- Status changed from New to In Progress

#2 - 01/29/2020 08:31 AM - Zalnor

- Status changed from In Progress to Resolved
#3 - 07/26/2021 06:07 PM - PotatoPower159

After updating the game, would it be okay to change the name of the "Cemu.exe" file, to something custom like "Cemu_1.25.0b.exe" or would that
result in a loss of updates?
